/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.zk.ui.event.EventListener;
import org.zkoss.zul.Button;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.vo.embarcada.UsuarioEmbarcadaVO;

/**
 * 
 * @author valdevir
 */
public class RenderUsuarioDispositivoSelecao implements ListitemRenderer {

	private EventListener listenerGenerico;

	public RenderUsuarioDispositivoSelecao(EventListener listenerGenerico) {
		super();
		this.listenerGenerico = listenerGenerico;
	}

	public RenderUsuarioDispositivoSelecao() {
		super();
	}

	public void render(Listitem lstm, Object o) throws Exception {
		UsuarioEmbarcadaVO usuario = (UsuarioEmbarcadaVO) o;

		Listcell lc = new Listcell(usuario.getCveusuario());
		lc.setParent(lstm);

		lc = new Listcell();

		lc = new Listcell(usuario.getNome());
		lc.setParent(lstm);

		lc = new Listcell();
		Button btnAdicionarUsuario = new Button("");
		btnAdicionarUsuario.setAttribute("data", o);
		btnAdicionarUsuario.setAttribute("tipo", "btnAdicionarUsuario");
		btnAdicionarUsuario.addEventListener("onClick", listenerGenerico);
		btnAdicionarUsuario.setImage("/gui/img/add.png");
		lc.appendChild(btnAdicionarUsuario);

		lc.setParent(lstm);

		lstm.setAttribute("data", usuario);
	}
}
